Bug 1268858 - opensmtpd: Remotely triggerable buffer overflow vulnerability in filter_tx_io [epel-all]
Summary: opensmtpd: Remotely triggerable buffer overflow vulnerability in filter_tx_io...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: opensmtpd
Version: el6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1268852
TreeView+ depends on / blocked
 
Reported: 2015-10-05 13:08 UTC by Adam Mariš
Modified: 2015-10-26 19:27 UTC (History)
1 user (show)

Fixed In Version: opensmtpd-5.7.3p1-1.el7 opensmtpd-5.7.3p1-1.el6
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-26 18:56:16 UTC
Type: ---


Attachments (Terms of Use)

Description Adam Mariš 2015-10-05 13:08:30 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Adam Mariš 2015-10-05 13:08:35 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1268852,1268858

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1268852,1268858

Comment 2 Fedora Update System 2015-10-05 20:17:57 UTC
opensmtpd-5.7.3p1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d6cc67d0d6

Comment 3 Fedora Update System 2015-10-05 20:18:47 UTC
opensmtpd-5.7.3p1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-13c5827d5c

Comment 4 Fedora Update System 2015-10-07 19:18:55 UTC
opensmtpd-5.7.3p1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update opensmtpd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-d6cc67d0d6

Comment 5 Fedora Update System 2015-10-07 19:20:01 UTC
opensmtpd-5.7.3p1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update opensmtpd'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-13c5827d5c

Comment 6 Fedora Update System 2015-10-26 18:56:05 UTC
opensmtpd-5.7.3p1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-10-26 19:27:06 UTC
opensmtpd-5.7.3p1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.